#pragma once

class CWin32FileWrapper : public CWin32Wrapper
{
protected:
	HANDLE m_hFile;

public:
	CWin32FileWrapper(NUtils::FileType fileType, LPSTR lpszName);
	virtual ~CWin32FileWrapper();

	virtual FLAC__StreamDecoderReadStatus v_easyflac_read_func(const EasyFLAC__StreamDecoder *decoder, FLAC__byte buffer[], unsigned *bytes);

	virtual size_t v_vorbisfile_read_func(void *ptr, size_t size, size_t nmemb);
	virtual int    v_vorbisfile_seek_func(ogg_int64_t offset, int whence);
	virtual long   v_vorbisfile_tell_func();
};
